ListView.EditEvent (JavaFX 13)

Module javafx.controls
Package javafx.scene.control

## Class ListView.EditEvent<T>

- java.lang.Object
- - java.util.EventObject
  - - javafx.event.Event
    - - javafx.scene.control.ListView.EditEvent<T>

- Type Parameters:
    `T` - The type of the input, which is the same type as the ListView itself.
  All Implemented Interfaces:
    `Serializable`, `Cloneable`
  Enclosing class:
    ListView<T>

      public static class ListView.EditEvent<T>
      extends Event

  An `Event` subclass used specifically in ListView for representing edit-related events. It provides additional API to easily access the index that the edit event took place on, as well as the input provided by the end user.
  Since:
    JavaFX 2.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static EventType<?>` | `ANY` | Common supertype for all edit event types.

    - ### Fields inherited from class javafx.event.Event

      `consumed, eventType, NULL_SOURCE_TARGET, target`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EditEvent​(ListView<T> source, EventType<? extends ListView.EditEvent<T>> eventType, T newValue, int editIndex)` | Creates a new EditEvent instance to represent an edit event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getIndex()` | Returns the index in which the edit took place.
    `T` | `getNewValue()` | Returns the value of the new input provided by the end user.
    `ListView<T>` | `getSource()` | Returns the ListView upon which the edit took place.
    `String` | `toString()` | Returns a string representation of this `EditEvent` object.

    - ### Methods inherited from class javafx.event.Event

      `clone, consume, copyFor, fireEvent, getEventType, getTarget, isConsumed`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ANY

          public static final EventType<?> ANY

      Common supertype for all edit event types.
      Since:
        JavaFX 8.0

  - ### Constructor Detail

    - #### EditEvent

          public EditEvent​(ListView<T> source,
                           EventType<? extends ListView.EditEvent<T>> eventType,
                           T newValue,
                           int editIndex)

      Creates a new EditEvent instance to represent an edit event. This event is used for `ListView.editStartEvent()`, `ListView.editCommitEvent()` and `ListView.editCancelEvent()` types.
      Parameters:
        `source` - the source
        `eventType` - the event type
        `newValue` - the new value
        `editIndex` - the edit index

  - ### Method Detail

    - #### getSource

          public ListView<T> getSource()

      Returns the ListView upon which the edit took place.
      Overrides:
        `getSource` in class `EventObject`

    - #### getIndex

          public int getIndex()

      Returns the index in which the edit took place.
      Returns:
        the index in which the edit took place

    - #### getNewValue

          public T getNewValue()

      Returns the value of the new input provided by the end user.
      Returns:
        the value of the new input provided by the end user

    - #### toString

          public String toString()

      Returns a string representation of this `EditEvent` object.
      Overrides:
        `toString` in class `EventObject`
      Returns:
        a string representation of this `EditEvent` object.